Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  Messung Löschen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Messung Löschen (1197 mal gelesen)
  
Die Gewinne der Zukunft werden mit intelligenten, autonomen Elektrofahrzeugen eingefahren. (3DEXPERIENCE)
cmb
Mitglied
Systembetreuer


Sehen Sie sich das Profil von cmb an!   Senden Sie eine Private Message an cmb  Schreiben Sie einen Gästebucheintrag für cmb

Beiträge: 495
Registriert: 12.07.2002

CATIA V5-6R2016 64bit
Smarteam R226
Moldflow Adviser 2014
Lenovo Think Pad P90

erstellt am: 02. Aug. 2010 17:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Forum,

ich möchte gerne aus einer TemplateDatei eine Messung herauslöschen.
Diese hat immer den Namen  "Ueberlaufvolumen"

mein Code:

Sub CATMain()
Dim oPart As PartDocument
Set oPart = CATIA.ActiveDocument
       
        For i = 1 To oPart.Part.Parameters.Count
        Dim oPara As Parameter
        Dim selection1 As Selection
        Set oPara = oPart.Part.Parameters.Item(i)
       
        If oPara.Name Like "*Ueberlaufvolumen*" Then
        'oPara.Delete
    selection1.Add (oPara)  ' Objekt unterstützt diese Methode nicht
        End If
       
        Next
        selection1.Delete
        selection1.Clear
       

End Sub

Den oPara.Name findet er.
Leider addet das Macro weder den Parameter zur selection(keine Unterstützung),
noch kann ich direkt löschen (  'oPara.Delete)

Vielleicht weiss jemand einen Ansatz wie Messungen aus einem Part gelöscht werden können.

Gruß

Norbert

------------------
V5R18
Catia + Smarteam

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAMiCADse
Mitglied



Sehen Sie sich das Profil von CAMiCADse an!   Senden Sie eine Private Message an CAMiCADse  Schreiben Sie einen Gästebucheintrag für CAMiCADse

Beiträge: 177
Registriert: 17.02.2006

V5,R19,SP9

erstellt am: 02. Aug. 2010 17:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cmb 10 Unities + Antwort hilfreich

Hallo cmb,

entferne die Klammern in der Zeile
selection1.Add (oPara)
dann sollte es klappen.

Alternativ ohne Selection geht es mit:
oPart.Part.Parameters.Remove(i)


Gruß
CAMiCADse

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cmb
Mitglied
Systembetreuer


Sehen Sie sich das Profil von cmb an!   Senden Sie eine Private Message an cmb  Schreiben Sie einen Gästebucheintrag für cmb

Beiträge: 495
Registriert: 12.07.2002

CATIA V5-6R2016 64bit
Smarteam R226
Moldflow Adviser 2014
Lenovo Think Pad P90

erstellt am: 03. Aug. 2010 08:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo CAMiCADse,

wenn ich die Klammern weglasse, erhalte ich die Meldung:
Objektvariable oder With-Blockvariable nicht festgelegt (Fehler 91)

Der alternativ Vorschlag mit remove: hier arbeitet das Macro die Zeile ab ( d.h. er findet alles wo der String "Ueberlaufvolumen" enthalten ist)aber leider nimmt er mir die Messung nicht aus meinem Part heraus.

Kann es sein das ich mein Objekt anders deklarieren müsste?

Gruß

Norbert

------------------
V5R18
Catia + Smarteam

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Architekt (m/w/d)

Als Projektentwickler, Bauherr und Bestandshalter gewerblicher Immobilien vereinen wir die Expertise von Fachleuten unterschiedlicher Disziplinen unter einem Dach. Mit viel Leidenschaft entwickeln wir gemeinsam ganzheitliche und innovative Ansätze ? von der ersten Entwurfsidee bis zum nachhaltigen Bau und Betrieb unserer Gebäude.

Unsere Mitarbeiter sind ein wesentlicher Erfolgsfaktor! Daher ...

Anzeige ansehenArchitektur
CAMiCADse
Mitglied



Sehen Sie sich das Profil von CAMiCADse an!   Senden Sie eine Private Message an CAMiCADse  Schreiben Sie einen Gästebucheintrag für CAMiCADse

Beiträge: 177
Registriert: 17.02.2006

V5,R19,SP9

erstellt am: 03. Aug. 2010 08:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cmb 10 Unities + Antwort hilfreich

Hallo cmb,

es fehlt davor:
Set selection1 = CATIA.ActiveDocument.Selection

Gruß
CAMiCADse

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz